Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

Name: ruby-http-access2
Version: 2.0.5
Release: alt1
Summary: http-access2 gives something like the functionality of libwww-perl (LWP) in Ruby.
License: Ruby
Group: Development/Ruby
Url: http://rrr.jin.gr.jp/projects/http-access2
Source: http-access-2_0_5.tar.gz
BuildArch: noarch
BuildRequires: ruby, libruby-devel

%description 
http-access2 gives something like the functionality of libwww-perl (LWP) in
 Ruby.	

Features;
 * methods like GET/HEAD/POST via HTTP/1.1.
 * asynchronous HTTP request
 * HTTPS(SSL)
 * by contrast with net/http in standard distribution;
   * you don't have to care HTTP/1.1 persistent connection (http-access2 cares
     instead of you). 
   * MT-safe
   * streaming POST
   * Cookies

Not supported now;
 * Cache
 * Rather advanced HTTP/1.1 usage such as Range, deflate, etc. (of cource you
   can set it in header by yourself)

%prep
%setup -q -n http-access-2_0_5

%build

%install
DESTDIR=%buildroot ruby -r vendor-specific install.rb

%files
%ruby_sitelibdir

%changelog
* Fri Mar 04 2005 Kirill A. Shutemov <kas@altlinux.ru> 2.0.5-alt1
- First build

